Index: pacemaker/pengine/test10/nvpair-id-ref.exp
===================================================================
--- pacemaker.orig/pengine/test10/nvpair-id-ref.exp
+++ pacemaker/pengine/test10/nvpair-id-ref.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="rsc1_monitor_10000" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  fake="common-value"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000"  fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="rsc1_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  fake="common-value"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000"  fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -32,7 +32,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="rsc1_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="rsc1_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -63,7 +63,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -79,7 +79,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="rsc2_monitor_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -88,7 +88,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc2_monitor_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000"  fake="common-value" fake_fake="common-value"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/obsolete-lrm-resource.exp
===================================================================
--- pacemaker.orig/pengine/test10/obsolete-lrm-resource.exp
+++ pacemaker/pengine/test10/obsolete-lrm-resource.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc1_child:0_start_0" on_node="yingying.site" on_node_uuid="yingying.site">
         <primitive id="rsc1_child" long-id="rsc1_child:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="yingying.site" CRM_meta_on_node_uuid="yingying.site" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="rsc1_child:0_monitor_0" on_node="yingying.site" on_node_uuid="yingying.site">
         <primitive id="rsc1_child" long-id="rsc1_child:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="yingying.site" CRM_meta_on_node_uuid="yingying.site" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -52,7 +52,7 @@
     <action_set>
       <rsc_op id="2" operation="delete" operation_key="rsc1_delete_0" on_node="yingying.site" on_node_uuid="yingying.site">
         <primitive id="rsc1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="yingying.site" CRM_meta_on_node_uuid="yingying.site" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-0.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-0.exp
+++ pacemaker/pengine/test10/one-or-more-0.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="C_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="D_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -91,7 +91,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-1.exp
+++ pacemaker/pengine/test10/one-or-more-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -30,7 +30,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-2.exp
+++ pacemaker/pengine/test10/one-or-more-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -34,7 +34,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="C_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -59,7 +59,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="D_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-3.exp
+++ pacemaker/pengine/test10/one-or-more-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -34,7 +34,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -43,7 +43,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-4.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-4.exp
+++ pacemaker/pengine/test10/one-or-more-4.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="9" operation="start" operation_key="C_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -75,7 +75,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-5.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-5.exp
+++ pacemaker/pengine/test10/one-or-more-5.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="A_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="B_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -41,7 +41,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="B_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="C_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -59,7 +59,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="D_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="D" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="12" operation="start" operation_key="E_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="E" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="E_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="E" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -93,7 +93,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="F_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="F" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -109,7 +109,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="F_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="F" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-6.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-6.exp
+++ pacemaker/pengine/test10/one-or-more-6.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="B_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="B" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-7.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-7.exp
+++ pacemaker/pengine/test10/one-or-more-7.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="7" operation="stop" operation_key="C_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/order-clone.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-clone.exp
+++ pacemaker/pengine/test10/order-clone.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="fencing-sbd_start_0" on_node="hex-0" on_node_uuid="hex-0">
         <primitive id="fencing-sbd" class="stonith" type="external/sbd"/>
-        <attributes CRM_meta_timeout="600000"  sbd_device="/dev/disk/by-id/dm-uuid-part1-mpath-3600508b400105b5a0001500000250000"/>
+        <attributes CRM_meta_on_node="hex-0" CRM_meta_on_node_uuid="hex-0" CRM_meta_timeout="600000"  sbd_device="/dev/disk/by-id/dm-uuid-part1-mpath-3600508b400105b5a0001500000250000"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/order-mandatory.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-mandatory.exp
+++ pacemaker/pengine/test10/order-mandatory.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="rsc1_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc1" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="rsc2_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc2" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -37,7 +37,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="rsc4_stop_0" on_node="node1" on_node_uuid="uuid1">
         <primitive id="rsc4" class="heartbeat" type="apache"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
